<template>
  <v-app dark>
    <h1 v-if="errorStatusCode === 404">
      {{ pageNotFound }}
    </h1>
    <h1 v-else>
      {{ otherError }}
    </h1>
    <NuxtLink to="/">
      Home page
    </NuxtLink>
  </v-app>
</template>

<script setup lang="ts">
import type { NuxtError } from '#app'

const props = defineProps<{ error: NuxtError }>();

const pageNotFound = ref('404 Not Found');
const otherError = ref('An error occurred');
const errorStatusCode = computed(() => props.error?.statusCode);
const title = errorStatusCode.value === 404 ? pageNotFound.value : otherError.value;

useHead({
  title,
  meta: [
    {
      hid: 'robots',
      name: 'robots',
      content: 'noindex, nofollow'
    }
  ]
})
</script>

<style scoped>
h1 {
  font-size: 20px;
}
</style>
